.loader-bg {
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  backdrop-filter: blur(1px);
  position: absolute;
  left: 0;
  top: 0;
  display: none;
  z-index: 99999;
}

.loader {
  background-image: url(../img/gts-preloader.gif);
  background-repeat: no-repeat;
  background-color: #fff;
  background-position: top center;
  background-size: 48px;
  border-radius: 0.35rem;
  border-bottom: 2px solid #d9d9d9;
  -webkit-box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
  display: inline-block;
  position: relative;
  width: 55px;
  height: 55px;
}

/* Chrome, Safari, Edge, Opera */
.input-spinner-off::-webkit-outer-spin-button,
.input-spinner-off::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
.input-spinner-off {
  -moz-appearance: textfield;
}

#tbl_users_list_view_filter,
#submitted_data_table_filter,
#expense_data_table_filter,
#approved_data_table_filter,
#others_current_data_table_filter,
#Others_verified_data_table_filter,
#Others_approved_data_table_filter,
#Others_data_table_filter,
#others_Verfiy_current_data_table_filter,
#approved_current_data_table_filter,
#others_Approved_current_data_table_filter,
#tbl-invoice-details-current_filter,
#tbl-invoice-details-submitted_filter,
#tbl-invoice-details-approved_filter,
#tbl-gts-project-details_filter,
#timesheet_current_data_table_filter,
#others_timesheet_data_table_filter,
#others_timesheet_verified_data_table_filter,
#timesheet_submitted_data_table_filter,
#approved_current_timesheet_data_table_filter,
#others_Approved_timesheet_current_data_table_filter,
#tbl-gts-settings-details_filter,
#expense_report_datatable_filter,
#timesheet_report_datatable_filter,
#Others_processed_data_table_filter,
#others_processed_current_data_table_filter,
#own_processed_data_table_filter,
#others_search_data_table_filter,
#expense_reassign_datatable_filter,
#own_missing_recepit_data_table_filter,
#tbl_assets_list_view_filter,
#tbl-inspection-current-details_filter,
#tbl-inspection-submitted-details_filter,
#tbl_pending_inspection_list_filter,
#tbl-inspection-approvals-submitted-details_filter,
#tbl-inspection-approvals-verified-details_filter,
#tbl-inspection-approvals-approved-details_filter {
  display: none;
}

.dataTables_scrollHeadInner {
  width: 100% !important;
}

.dataTables_scrollHeadInner table {
  width: 100% !important;
}

.dataTables_scrollFootInner {
  width: 100% !important;
}

.dataTables_scrollFootInner table {
  width: 100% !important;
}

.datepicker-days {
  padding: 10px;
}

.table-view-notes {
  min-width: 100px;
  max-width: 400px;
  text-align: left;
  white-space: normal;
  font-size: .75rem !important;
  line-height: 1.5;
}

#missing_expense_datatable tr td:first-child {
  padding-left: 0;
}

#missing_expense_datatable tr td:last-child {
  padding-right: 0;
}

.input-group .form-control[readonly] {
  background-color: transparent;
}

.selected {
  background-color: #2d5371 !important;
  color: #FFF !important;
}
.main-menu {
  cursor: pointer;
}
.main-menu span {
  font-weight: bold;
  text-transform: uppercase;
}
.main-menu a i {
  margin-left: 1rem;
}

.main-menu span i {
  -moz-transition: transform .5s;
  -webkit-transition: transform .5s;
  transition: transform .5s;
}

.flip {
  transform: rotate(-180deg);
}

.main-menu .list-group-item:last-child{
  border-bottom: 0;
}

textarea {
  resize: none;
}

.inspection-check-upload-file-list-previous-month img.card-img-top{
	border-radius: 0;
}

.was-validated .validated-dot-inspection-checks {
  background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" stroke="%23f53131" width="16" height="16" fill="none" viewBox="0 0 16 16"><path d="M2.146 2.854a.5.5 0 1 1 .708-.708L8 7.293l5.146-5.147a.5.5 0 0 1 .708.708L8.707 8l5.147 5.146a.5.5 0 0 1-.708.708L8 8.707l-5.146 5.147a.5.5 0 0 1-.708-.708L7.293 8z"/></svg>') !important;
}

.upload-preview-thumbnail {
  max-height: 250px;
  display: block;
  overflow: hidden;
}

.content-container-inspection {
	background: rgb(58 0 0);
    background: linear-gradient(180deg, rgb(58 0 0) 0px, rgb(235 234 204) 299px, rgb(255, 255, 255) 365px);
}

.content-container-admin {
	background: rgb(9 0 56);
    background: linear-gradient(180deg, rgb(9 0 56) 0px, rgb(235 204 204) 299px, rgb(255, 255, 255) 365px);
}

.inspection-checks-help-video-icon {
	font-size: .8rem;
    position: absolute;
    top: -7px;
    background-color: #ffffff;
    padding: 3px;
    border-radius: 50%;
    width: 17px;
    text-align: center;
    height: 17px;
}

.media-object {
  --border-width: 5px;
  --radius: 24px;
  position: relative;
  /* border-radius: var(--radius); */
  border: var(--border-width) solid transparent;
}

.media-object::before {
  content: " ";
  position: absolute;
  inset: calc(var(--border-width) * -1);
  z-index: 1;
  border: inherit;
  border-radius: inherit;
  background-image: conic-gradient(from var(--angle), #b1b1b1 80%, #31b775 85%, #4aaefd 92%, #b1b1b1 98%);
  background-origin: border-box;
  -webkit-mask:
    linear-gradient(black, black) content-box,
    linear-gradient(black, black);
  mask: linear-gradient(black, black),
        linear-gradient(black, black);
  -webkit-mask-clip: content-box, border-box;
  mask-clip: content-box, border-box;
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  animation: spin 25s linear infinite;
  pointer-events: none;
}

@property --angle {
  syntax: "<angle>";
  inherits: true;
  initial-value: 0turn;
}

@keyframes spin {
  to {
    --angle: 1turn;
  }
}

@media (prefers-reduced-motion) {
  html {
    scroll-behavior: none;
  }
}


.media-object {
  /* display: flex; */
  /* justify-content: space-between; */
  /* align-items: end; */
  /* padding: 24px; */
  /* gap: 24px; */
}